#
# spec file for package rtags
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines
Name:           rtags
Version:        2.18+git.20180130.98d668e8
Release:        bp153.1.19
Summary:        Clang based source code indexer
License:        GPL-3.0+
Group:          Development/Tools/Navigators
Url:            https://github.com/Andersbakken/rtags
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  emacs-nox
BuildRequires:  gcc-c++
BuildRequires:  libopenssl-devel
BuildRequires:  llvm-clang-devel
BuildRequires:  llvm-devel
BuildRequires:  ncurses-devel

%description
Rtags is Clang based source file indexer supporting C/C++/Objective-C(++) code.

%define _sitedir %{_datadir}/emacs/site-lisp
%define _scriptdir %{_datadir}/rtags/

%prep
%setup -q

%build
export CFLAGS="%{optflags} -Wno-unused-parameter"
export CXXFLAGS="%{optflags} -Wno-unused-parameter"
%cmake \
       -DCURSES_CURSES_LIBRARY:FILEPATH="%{_libdir}/libncurses.so"

make %{?_smp_mflags}

%install
%cmake_install
mkdir -p %{buildroot}%{_sitedir} %{buildroot}%{_scriptdir}
install -m 0755 -t %{buildroot}%{_scriptdir} bin/*.sh
chmod 0755 %{buildroot}%{_bindir}/gcc-rtags-wrapper.sh

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man7/rc.7.gz
%{_mandir}/man7/rdm.7.gz
%{_sitedir}/rtags
%{_scriptdir}
%doc LICENSE.txt README.org

%changelog
* Sat Feb  3 2018 mliska@suse.cz
- Update to version 2.18+git.20180130.98d668e8:
  * Bump version to 2.18
  * Roll back this one.
  * Fix warning.
  * trigger this on ctest.
  * Try this.
  * Fix package name.
  * Maybe like this?
  * Try to add more compilers.
  * Remove unused capture part deux.
  * Remove unused capture.
* Sun Aug 27 2017 mliska@suse.cz
- Update to version 2.13+git.20170825.93b00636:
  * Biump rct.
  * Not used.
  * grammar
  * Fix issue #1031. Detect if json.h is supported or not and turn off json output for completions if it isn't.
  * Kill previous rtags-find-symbol-at-point buffer if there is one.
  * Fix issue with the following example:
  * Fix an issue with this construct:
  * Bump database.
  * Bump version
  * Fix issue #1035 and issue #1035.
* Fri Mar  3 2017 mpluskal@suse.com
- Update to version 2.8+git.20161226.6ac7740e:
  * Bump db.
  * Use operator!= operator== for CXCursor
  * jobs doesn't depend on current project.
  * Oops. This needs to go before the break.
  * Refactor some cursor stuff.
  * Bump rct.
  * Handle multiple targets better.
  * Nicer dump for template specializations.
  * Work on template refs
  * Remove debugging.
* Wed Nov  2 2016 mpluskal@suse.com
- Update to version 2.3+git.20161031.767f76b:
  * Fix issue #826. Don't put: int => int etc for autos.
  * Avoid TypeRef refs to classes/structs.
  * Fix shadow warnings.
  * Apparently clang_getCanonicalType is all I really need for resolving autos. Or so it seems.
  * Apparently mLastCursor may be in a file we're not visiting.
  * Use the right argument. Make fixits work again.
  * Better error for handleInclude failures.
  * Add "brew services start rtags" to readme
  * resolve symlinks when updating the diagnostics buffer
  * Add something about rtags helm support in the readme.
- Update service
  * Use naming scheme containing latest release and commit date and
    commit id
  * Disable service by default to avoid unnecessary executions
* Mon Nov  9 2015 sleep_walker@opensuse.org
- bump to new git snapshot 83a40d0, 2015-11-09
  - it fixes missing librct problem
- wipe unused files
  generate-tarball.sh
  rtags-2.0.tar.gz
- add emacs-nox and gcc-c++ into dependencies
* Thu Sep 17 2015 sleep_walker@opensuse.org
- let there be rtags package!
